> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anyspend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Coinbase onramp options

Retrieves available Coinbase onramp configuration options. 

` GET /onramp/coinbase/options `

Get Coinbase onramp options

Retrieves available Coinbase onramp configuration options.


## Servers

- ` https://mainnet.anyspend.com ` — Production server

## Parameters

### ` country ` (query, required)

Country code for onramp options

- ` value `: type ` string `

Example:

```json
"US"
```

### ` subdivision ` (query, optional)

Optional subdivision (state/province) code

- ` value `: type ` string `

Example:

```json
"CA"
```

### ` payment_method ` (query, optional)

Optional payment method filter

- ` value `: type ` string `

Example:

```json
"USD"
```

### ` purchase_method ` (query, optional)

Optional purchase method filter

- ` value `: type ` string `

  - default: ` "USDC" `

Example:

```json
"USDC"
```

### ` chainIds ` (query, optional)

Optional array of chain IDs to filter by

- ` value `: type ` array `

  - ` array item `: type ` string `

Example:

```json
[
  "1",
  "8453"
]
```

## Responses

### ` 200 ` — Coinbase options retrieved successfully

Content type: ` application/json `

- ` value `: type ` object `

  - example: ` {"success":true,"message":"Get Coinbase onramp options successfully","data":{"paymentCurrencies":[{"id":"USD","limits":[{"id":"CARD","min":"2","max":"7500"},{"id":"FIAT_WALLET","min":"2","max":"1000000"},{"id":"ACH_BANK_ACCOUNT","min":"2","max":"25000"},{"id":"APPLE_PAY","min":"2","max":"7500"}]}],"purchaseCurrencies":[{"id":"2b92315d-eab7-5bef-84fa-089a131333f5","name":"USDC","symbol":"USDC","iconUrl":"https://dynamic-assets.coinbase.com/3c15df5e2ac7d4abbe9499ed9335041f00c620f28e8de2f93474a9f432058742cdf4674bd43f309e69778a26969372310135be97eb183d91c492154176d455b8/asset_icons/9d67b728b6c8f457717154b3a35f9ddc702eae7e76c4684ee39302c4d7fd0bb8.png","networks":[{"name":"ethereum","displayName":"Ethereum","contractAddress":"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48","chainId":"1","display_name":"Ethereum","contract_address":"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48","chain_id":"1"},{"name":"base","displayName":"Base","contractAddress":"0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913","chainId":"8453","display_name":"Base","contract_address":"0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913","chain_id":"8453"}]}]},"statusCode":200} `

  - Required fields: ` success `, ` message `, ` data `, ` statusCode `

  - ` success `: type ` boolean `

    - example: ` true `

  - ` message `: type ` string `

    - example: ` "Coinbase options retrieved successfully" `

  - ` data `: type ` object `

    - Required fields: ` paymentCurrencies `, ` purchaseCurrencies `

    - ` paymentCurrencies `: type ` array ` — Available payment currencies

      - Required fields: ` id `, ` limits `

      - ` array item `: type ` object `

        - ` id `: type ` string ` — Payment currency identifier

          - example: ` "USD" `

        - ` limits `: type ` array ` — Payment limits for this currency

          - Required fields: ` id `, ` min `, ` max `

          - ` array item `: type ` object `

            - ` id `: type ` string ` — Payment method identifier

              - example: ` "CARD" `

            - ` min `: type ` string ` — Minimum payment amount

              - example: ` "2" `

            - ` max `: type ` string ` — Maximum payment amount

              - example: ` "7500" `

    - ` purchaseCurrencies `: type ` array ` — Available purchase currencies

      - ` array item `: type ` object `

        - Required fields: ` id `, ` name `, ` symbol `, ` iconUrl `, ` networks `

        - ` id `: type ` string ` — Currency identifier (UUID)

          - example: ` "2b92315d-eab7-5bef-84fa-089a131333f5" `

        - ` name `: type ` string ` — Currency full name

          - example: ` "USD Coin" `

        - ` symbol `: type ` string ` — Currency symbol

          - example: ` "USDC" `

        - ` iconUrl `: type ` string ` — Currency icon URL

          - example: ` "https://dynamic-assets.coinbase.com/3c15df5e2ac7d4abbe9499ed9335041f00c620f28e8de2f93474a9f432058742cdf4674bd43f309e69778a26969dbc009429d4bd59cc5b85b2c6c8a6dc0b57f1/asset_icons/80422be4be5aa1bb4deb72d9f0e9d0f33e05ce6b8fb7c24bb9e14e4adacdf20c.png" `

        - ` networks `: type ` array ` — Available networks for this currency

          - ` array item `: type ` object `

            - Required fields: ` name `, ` displayName `, ` contractAddress `, ` chainId `, ` display_name `, ` contract_address `, ` chain_id `

            - ` name `: type ` string ` — Network name

              - example: ` "ethereum" `

            - ` displayName `: type ` string ` — Network display name

              - example: ` "Ethereum" `

            - ` contractAddress `: type ` string ` — Token contract address on this network

              - example: ` "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48" `

            - ` chainId `: type ` string ` — Chain ID for this network

              - example: ` "1" `

            - ` display_name `: type ` string ` — Network display name (snake_case version)

              - example: ` "Ethereum" `

            - ` contract_address `: type ` string ` — Token contract address (snake_case version)

              - example: ` "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48" `

            - ` chain_id `: type ` string ` — Chain ID (snake_case version)

              - example: ` "1" `

  - ` statusCode `: type ` number `

    - example: ` 200 `

Example:

```json
{
  "success": true,
  "message": "Get Coinbase onramp options successfully",
  "data": {
    "paymentCurrencies": [
      {
        "id": "USD",
        "limits": [
          {
            "id": "CARD",
            "min": "2",
            "max": "7500"
          },
          {
            "id": "FIAT_WALLET",
            "min": "2",
            "max": "1000000"
          },
          {
            "id": "ACH_BANK_ACCOUNT",
            "min": "2",
            "max": "25000"
          },
          {
            "id": "APPLE_PAY",
            "min": "2",
            "max": "7500"
          }
        ]
      }
    ],
    "purchaseCurrencies": [
      {
        "id": "2b92315d-eab7-5bef-84fa-089a131333f5",
        "name": "USDC",
        "symbol": "USDC",
        "iconUrl": "https://dynamic-assets.coinbase.com/3c15df5e2ac7d4abbe9499ed9335041f00c620f28e8de2f93474a9f432058742cdf4674bd43f309e69778a26969372310135be97eb183d91c492154176d455b8/asset_icons/9d67b728b6c8f457717154b3a35f9ddc702eae7e76c4684ee39302c4d7fd0bb8.png",
        "networks": [
          {
            "name": "ethereum",
            "displayName": "Ethereum",
            "contractAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
            "chainId": "1",
            "display_name": "Ethereum",
            "contract_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
            "chain_id": "1"
          },
          {
            "name": "base",
            "displayName": "Base",
            "contractAddress": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
            "chainId": "8453",
            "display_name": "Base",
            "contract_address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
            "chain_id": "8453"
          }
        ]
      }
    ]
  },
  "statusCode": 200
}
```

### ` 400 ` — Bad request

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` success `, ` message `, ` statusCode `

  - ` success `: type ` boolean `

    - example: ` false `

  - ` message `: type ` string `

    - example: ` "Bad request" `

  - ` statusCode `: type ` number `

    - example: ` 400 `

## Request examples

### cURL

```curl
curl -X GET 'https://mainnet.anyspend.com/onramp/coinbase/options?country=US'
```

### JavaScript

```javascript
const response = await fetch('https://mainnet.anyspend.com/onramp/coinbase/options?country=US', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://mainnet.anyspend.com/onramp/coinbase/options?country=US')
print(response.json())
```